#ifndef BINARY_TREE_H
#define BINARY_TREE_H

#include "TreeNode.h"
using namespace std;

class BinaryTree {
public:
	BinaryTree(): root_(nullptr) {}
	BinaryTree(string);
	BinaryTree(const BinaryTree&);
	BinaryTree(BinaryTree&&);
	~BinaryTree();

	TreeNode* getRoot() const { return root_;}

	void addValue(int);

	void print() const;
	void print(string) const;

private:
	// Stablo je opisano pokazivacem na koreni cvor
	TreeNode* root_;
};

#endif

